import { Highlight } from './Highlight';
import { IHighlightSettings } from './IHighlightSettings';
export declare class DOMHighlighter {
    protected readonly initialSettings: Required<IHighlightSettings>;
    /**
     * @param {IHighlightSettings} [initialSettings={}]
     */
    constructor(initialSettings?: Partial<IHighlightSettings>);
    /**
     * @param {Element} $element
     * @param {Partial<IHighlightSettings>} [settings={}]
     * @return {Highlight}
     */
    highlight($element: Element, settings?: Partial<IHighlightSettings>): Highlight;
}
