import { IHighlightSettings } from './IHighlightSettings';
export declare class Highlight {
    protected readonly $element: Element;
    protected readonly highlightElements: HTMLDivElement[];
    protected readonly settings: Required<IHighlightSettings>;
    get isHighlighted(): boolean;
    private is_highlighted;
    private interval;
    private timeout;
    /**
     * @param {Element} $element
     * @param {Required<IHighlightSettings>} settings
     */
    constructor($element: Element, settings: Required<IHighlightSettings>);
    add(): void;
    remove(): void;
    /**
     * @protected
     */
    protected draw(): void;
}
